PULSAR
API ReferenceMachine Status

Get Node Power Events

Get node power events (Powered On / Powered Off) for a machine's node(s) over a date range (defaults to the last 7 days).

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Query Parameters

machineId*number

The machine's ID.

Formatdouble
start?string

The start of the date range to filter by.

Formatdate-time
end?string

The end of the date range to filter by.

Formatdate-time

Response Body

application/json

Try it live
GET
/machines/node-system-events

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/machines/node-system-events?machineId=0.1"
{  "data": [    {      "events": [        {          "reason": "string",          "name": "string",          "timestamp": "string"        }      ],      "nodeId": 0.1    }  ]}